# civicrm-update-tester

## install

Requires pipenv, venv, pip, and python 3.

```
python3 -m venv .venv
source .venv/bin/activate
pipenv install
webdrivermanager chrome # installs chrome driver
```

## running

### args

```
- -u --user <user>: username to login with
- -p --pass <pass>: password of account
- -D --dev: doesn't work anymore, both URLS point to staging server
- -s --show-browser: runs in non-headless mode to show whats happening
```

```sh
$ python3 main.py -u roxie -p "hunter2" -s
```
## what is the layout of this

the civicrm_tester folder has files which contain classes. One for each test. The tests inherit the BaseTester class which has basic commands (login, logout, creating the browser, logging helpers, etc.) and access to the selenium browser. This will hopefully allow for the choosing of what tests to run. Atm, main.py just runs all three current tests synchronously.
